SimpleCashFlow Class Reference

Predetermined cash flow. More...

`#include <ql/cashflows/simplecashflow.hpp>`

Inheritance diagram for SimpleCashFlow:
[legend]

## Public Member Functions

| SimpleCashFlow (Real amount, const Date &date)
Event interface
Date | date () const
CashFlow interface
Real | amount () const
| returns the amount of the cash flow More...
Visitability
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from CashFlow
bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
virtual Date | exCouponDate () const
| returns the date that the cash flow trades exCoupon
bool | tradingExCoupon (const Date &refDate=Date()) const
| returns true if the cashflow is trading ex-coupon on the refDate
Event interface
Visitability
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

Predetermined cash flow.

This cash flow pays a predetermined amount at a given date.

## Member Function Documentation

## date()

Date date | ( |  | ) | const

virtual

Note
  This is inherited from the event class

Implements CashFlow.

## amount()

Real amount | ( |  | ) | const

virtual

returns the amount of the cash flow

Note
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements CashFlow.